## amarok-dmo 3.3.0

=== debian/changelog ===
amarok-dmo (3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Jul 2025 00:09:37 +0200

amarok-dmo (3.2.2-dmo1+b1) unstable; urgency=medium

  * Build with qt6-base-private-abi 6.8.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Mar 2025 08:49:47 +0100

amarok-dmo (3.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 15 Feb 2025 13:06:08 +0100

amarok-dmo (3.2.1-dmo5) unstable; urgency=medium

  * Add dh-sequence-qmldeps and more changes from Damir Islamov to properly
    use dh_qmldeps

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Jan 2025 15:54:27 +0100

amarok-dmo (3.2.1-dmo4) unstable; urgency=medium

  * debian/control Replace dh-sequence-kf5 by dh-sequence-kf6 and remove
    libqt5* packages from Suggests in amarok (Thanks to Damir Islamov for
    the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jan 2025 11:14:57 +0100

amarok-dmo (3.2.1-dmo3) unstable; urgency=medium

  * Only enable WebEngine on amd64, arm64, armhf and i386

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jan 2025 08:58:08 +0100

amarok-dmo (3.2.1-dmo2) unstable; urgency=medium

  * Should depends on libtag-dev

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jan 2025 11:35:48 +0100

amarok-dmo (3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2025 23:42:30 +0100

amarok-dmo (3.2.0-dmo1+b1) unstable; urgency=medium

  * Build with libtag2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2025 09:43:07 +0100

amarok-dmo (3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Dec 2024 08:34:43 +0100

amarok-dmo (3.1.1-dmo2) unstable; urgency=medium

  * Build with qtdeclarative-abi-5-15-15

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Oct 2024 15:59:34 +0200

amarok-dmo (3.1.1-dmo1) unstable; urgency=medium

  * As upstream don't want to fix the crash with mariadb, I upload amarok to
    my repository.
  * Add simple fix for the crash with mariadb (Thanks to Fabian Vogt)
    See https://bugs.kde.org/show_bug.cgi?id=391362#c7
  * Add libavdevice-dev, libswscale-dev and libpostproc-dev to Build-Depends
  * Remove libqt5sql5-sqlite, libqt5sql5-mysql and libqt5sql5-psql from
    Suggests: (Upstream says it is not needed. See KDE bug #487937)

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Oct 2024 16:39:50 +0200

amarok (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5textwidgets-dev
    - drop libkf5declarative-dev, no more used

 -- Pino Toscano <pino@debian.org>  Mon, 30 Sep 2024 08:04:30 +0200

amarok (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the patches:
    - debian_mysqle_amarok_local_errmsg_feature.diff: refresh, and adapt to the
      new upstream code
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.89.0
    - drop no more needed libkf5attica-dev, and libkf5newstuff-dev
  * Update install files.
  * Drop no more needed ${perl:Depends} substvar from amarok-common.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 04 Aug 2024 08:03:17 +0200

amarok (3.0.1-3) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Depend directly on libmariadbd-dev.
  * Update package contents to be compatible with MariaDB 11.4.

 -- Pino Toscano <pino@debian.org>  Tue, 16 Jul 2024 22:35:40 +0200

amarok (3.0.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Update debian/README.Debian a bit, notably:
    - drop references to URLs, features, and files not available anymore
    - update the Phonon section a bit to the current way to configure it;
      the feature availability still needs to be reviewed, though

 -- Pino Toscano <pino@debian.org>  Fri, 21 Jun 2024 07:25:00 +0200

amarok (3.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Update path in watch file; switch to version 4.
  * Update the patches:
    - debian_mysqle_amarok_local_errmsg_feature.diff: port to Qt5
    - debian_find_mysql_fix.diff: drop, as mysql_config_pic has not been
      shipped in years
    - debian_clamz_is_runtime_dependency.diff: drop, as amzdownloader was
      dropped
    - valgrind_uninitialized_value: refresh/update
    - no-mp3tunes.diff: drop, as the mp3tunes service is disabled upstream now
    - use-secrure-URLs.diff: drop, fixed upstream
  * Update the build dependencies following the port to Frameworks:
    - remove libqtwebkit-dev, libqt4-opengl-dev, kdelibs5-dev, libqjson-dev,
      libqca2-dev, and liblastfm-dev
    - add qtbase5-dev, qttools5-dev, qtdeclarative5-dev, libqt5svg5-dev,
      qtquickcontrols2-5-dev, qtwebengine5-dev, libphonon4qt5-dev,
      libphonon4qt5experimental-dev, extra-cmake-modules, libkf5archive-dev,
      libkf5attica-dev, libkf5codecs-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5crash-dev,
      libkf5dbusaddons-dev, libkf5declarative-dev, libkf5dnssd-dev,
      libkf5doctools-dev, libkf5globalaccel-dev, libkf5guiaddons-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5kcmutils-dev, libkf5kio-dev,
      libkf5newstuff-dev, libkf5notifications-dev, libkf5package-dev,
      libkf5solid-dev, libkf5texteditor-dev, libkf5threadweaver-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      kirigami2-dev, libqca-qt5-2-dev, and liblastfm5-dev
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump libtag1-dev to 1.12
    - add libmygpo-qt-dev, as it can be used without issues now

