=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL=C.UTF-8

%:
	dh $@ -Skf6+ninja --with kf6

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DBUILD_SHARED_LIBS=ON \
	-DBUILD_TESTING=false

##	-DBUILD_WITH_QT6=ON \

#	exit 1

execute_after_dh_install-indep:
	# Copy errmsg.sys files from mariadb-server-core package
	debian/copy-errmsg-files.py /usr/share/mariadb debian/amarok-common/usr/share/amarok/mysqle

execute_after_dh_auto_install:
	# Remove development stuff
	find debian/tmp -name '*.so' -type l -print -delete

	sed 's/#DEB_HOST_MULTIARCH#/${DEB_HOST_MULTIARCH}/g' \
	debian/scripts/amarok.in > debian/scripts/amarok

	mv debian/tmp/usr/bin/amarok debian/tmp/usr/bin/amarok.real

override_dh_clean:
	dh_clean  debian/scripts/amarok

override_dh_auto_test:
