=== debian/watch ===
version=4

https://download.kde.org/stable/amarok/([\d.]+)/amarok-([\d.]+)@ARCHIVE_EXT@
