## amarok-dmo 3.3.1

=== debian/changelog ===
amarok-dmo (3.3.1-dmo2) unstable; urgency=medium

  * Build with qt6-base-private-abi 6.9.2
  * Remove libpostproc-dev from Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Sep 2025 10:05:33 +0200

amarok-dmo (3.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Aug 2025 17:47:48 +0200
