=== debian/control ===
--- 
+++ 
@@ -54,10 +54,9 @@
  libgdk-pixbuf-2.0-dev,
  libavdevice-dev,
  libswscale-dev,
- libpostproc-dev,
  ninja-build,
  pkg-kde-tools,
- qt6-base-private-abi (>= 6.8.2),
+ qt6-base-private-abi (>= 6.9.2),
  qt6-webengine-dev [amd64 arm64 armhf i386],
  libkf6statusnotifieritem-dev,
  libkirigami-dev,
