## amarok-dmo 3.3.2

=== debian/changelog ===
amarok-dmo (3.3.2-dmo2) unstable; urgency=medium

  * Update qml6 dependencies for amarok

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Jan 2026 14:13:12 +0100

amarok-dmo (3.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Jan 2026 01:37:27 +0100
