=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: amarok-dmo
 Section: sound
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Build-Depends-Indep: mariadb-server-core
 Homepage: https://amarok.kde.org
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
  dh-exec,
  dh-sequence-kf6,
@@ -63,11 +62,14 @@
  libtagc0-dev,
  libkf6wallet-dev,
  libgstrtspserver-1.0-dev,
+ libcrypt-dev,
 
 Package: amarok
 Architecture: any
 Depends: amarok-common (= ${source:Version}), amarok-utils (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}, ${qml6:Depends}, gstreamer1.0-plugins-good, gstreamer1.0-plugins-bad,
+ qml6-module-org-kde-kirigami, qml6-module-qtqml-models, qml6-module-qtquick, qml6-module-qtquick-controls,
+ qml6-module-qtquick-layouts, qml6-module-qtwebengine [amd64 arm64 armhf i386],
 Recommends: kio-audiocd,
 Suggests: amarok-doc (>= ${source:Version}), libqt6sql6-sqlite, libqt6sql6-mysql, libqt6sql6-psql, moodbar,
 Description: easy to use media player based on the KDE Platform
