=== debian/watch ===
version=4

##opts=pgpmode=auto \

https://download.kde.org/stable/amarok/([\d.]+)/amarok-([\d.]+)@ARCHIVE_EXT@
